
Redmine - Defect #15985

Email address with non-ASCII character causes delivery error

2014-01-28 15:26 - Marc D.

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.4.1

Description

I know that e-mailadresses with "ß" are invalid in general, but you can enter them in redmine. That causes that any notification to a

ticket which are related to the person with the "ß" mail couldnt be send.

The "to:" mailadress in the maillog is something like "to=<=?UTF-8?B?bWFyY2VsLnBsYcOfQGJ1cmctZ21iaC5kZQ==?=>" for

everyone who is related.

-> No one will be notified.

Related issues:

Related to Redmine - Defect #28878: Email does not support Russian-language d... Closed

Related to Redmine - Feature #29208: Support email addresses with IDN (intern... Closed

History

#1 - 2017-01-14 06:49 - Go MAEDA

- Subject changed from E-Mail with ß causes error to Email address with non-ASCII character causes delivery error

Non-ASCII characters cannot be used in an email address.

This issue can be fixed by the following patch.

Index: app/models/email_address.rb

===================================================================

--- app/models/email_address.rb    (revision 16179)

+++ app/models/email_address.rb    (working copy)

@@ -26,7 +26,7 @@

   after_destroy :destroy_tokens, :deliver_security_notification_destroy

   validates_presence_of :address

-  validates_format_of :address, :with => /\A([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})\z/i, :allow_blank => true

+  validates_format_of :address, :with => /\A([[:ascii:]&&[^@\s]]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})\z/i, :allow_b

lank => true

   validates_length_of :address, :maximum => User::MAIL_LENGTH_LIMIT, :allow_nil => true

   validates_uniqueness_of :address, :case_sensitive => false,

     :if => Proc.new {|email| email.address_changed? && email.address.present?}

#2 - 2017-01-16 22:52 - Go MAEDA

- Target version set to 3.3.3

#3 - 2017-01-19 19:30 - Jean-Philippe Lang

- Target version deleted (3.3.3)

Go MAEDA wrote:

Non-ASCII characters cannot be used in an email address.

 Yes, they can. More and more clients and server support that.

We cannot simply disallow them in Redmine.

#4 - 2017-01-20 02:02 - Go MAEDA

Jean-Philippe Lang wrote:
Go MAEDA wrote:

Non-ASCII characters cannot be used in an email address.

 Yes, they can. More and more clients and server support that.

We cannot simply disallow them in Redmine.

 Thanks for the advice. Now I understand that.

https://en.wikipedia.org/wiki/International_email#Email_addresses

https://tools.ietf.org/html/rfc6530

#5 - 2018-05-27 13:40 - Go MAEDA

- Related to Defect #28878: Email does not support Russian-language domains. added

#6 - 2018-07-07 09:24 - Go MAEDA

- Related to Feature #29208: Support email addresses with IDN (internationalized domain names) in user accounts added

#7 - 2024-02-01 10:27 - Go MAEDA

- File clipboard-202402011813-u317f.png added

- File clipboard-202402011814-ainar.png added

- Status changed from New to Closed

- Resolution set to Fixed

Redmine now supports internationalized domain names as of r22667.

Suppose you mistakenly enter user@straße.example instead of user@strasse.example as your email address. In that case, Redmine converts the

email address to its ASCII representation user@xn--strae-oqa.example after clicking the "Save" button and displays the converted one on the screen.

Therefore you will immediately notice there is some "problem" with the email address you entered.

1. Entering email address contains a non-ASCII character

 clipboard-202402011813-u317f.png 

2. The ASCII representation of the email address is displayed after saving

 clipboard-202402011814-ainar.png 
